Bug 1629371

Summary: Review Request: mock-install - A small utility to request package installation within a mock buildroot
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: POST --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: msuchy, ngompa13, package-review, zbyszek
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://copr.fedorainfracloud.org/coprs/nim/mock-install/build/798361/
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1641191, 1641187    
Bug Blocks:    

Description Nicolas Mailhot 2018-09-15 12:43:11 UTC
Spec URL:
https://copr-be.cloud.fedoraproject.org/results/nim/mock-install/fedora-rawhide-x86_64/00798349-mock-install/mock-install.spec

SRPM URL: 
https://copr-be.cloud.fedoraproject.org/results/nim/mock-install/fedora-rawhide-x86_64/00798349-mock-install/mock-install-1.0-1.fc30.src.rpm

Copr Build:
https://copr.fedorainfracloud.org/coprs/nim/mock-install/build/798349/

Description: 
A small utility to request package installation within a mock build root when
using the pm_request plugin.

It will be used by the next generation of Fedora Go (golang) packaging macros. However the utility is totally language agnostic and could be used pretty much in any spec file (it *is* written in Go).

It does make spec files mock-specific but mock *is* the official Fedora Build system. Writing such an utility was suggested in:
https://github.com/rpm-software-management/mock/issues/160

Hopefully https://github.com/rpm-software-management/rpm/issues/104 will make it obsolete someday…

Fedora Account System Username: nim

Comment 1 Neal Gompa 2018-09-15 13:02:59 UTC
Taking this review.

Comment 2 Nicolas Mailhot 2018-09-15 14:31:07 UTC
So it will be an 1.1, I had forgotten to check what happened when the command was called with no arguments

Comment 3 Neal Gompa 2018-10-19 20:32:08 UTC
Could you please post updated Spec URL and SRPM URL links for fedora-review to process?

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-11-05 13:10:20 UTC
Neal, please review this. The packaging is trivial, so I don't think there's anything to wait for here.

Comment 6 Neal Gompa 2018-11-06 14:45:52 UTC
Review notes:

[x] Package builds and installs
[x] Package complies with packaging guidelines
[!] Package is missing changelog and has "bad" release value
    - Please fix on import

PACKAGE APPROVED.

Comment 7 Nicolas Mailhot 2018-11-06 17:05:35 UTC
Thanks for the review !